Module java.desktop
Package javax.swing.plaf.basic

# Class BasicScrollBarUI.ScrollListener

java.lang.Object
javax.swing.plaf.basic.BasicScrollBarUI.ScrollListener

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  BasicScrollBarUI

    protected class BasicScrollBarUI.ScrollListener
    extends Object
    implements ActionListener

Listener for scrolling events initiated in the `ScrollPane`.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ScrollListener()` | Constructs a `ScrollListener`.
`ScrollListener​(int dir, boolean block)` | Constructs a `ScrollListener`.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `setDirection​(int direction)` | Sets the direction.
`void` | `setScrollByBlock​(boolean block)` | Sets the scrolling by block

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.ActionListener

`actionPerformed`

## Constructor Details

### ScrollListener

public ScrollListener()
Constructs a `ScrollListener`.

### ScrollListener

public ScrollListener​(int dir, boolean block)
Constructs a `ScrollListener`.

Parameters:
  `dir` - direction
  `block` - use block increment

## Method Details

### setDirection

public void setDirection​(int direction)
Sets the direction.

Parameters:
  `direction` - the new direction

### setScrollByBlock

public void setScrollByBlock​(boolean block)
Sets the scrolling by block

Parameters:
  `block` - whether or not to scroll by block